Package: groovy.http

## [Groovy] Class HttpBuilderClientTransform

- groovy.http.HttpBuilderClientTransform

-     @GroovyASTTransformation(phase=CompilePhase.CANONICALIZATION)
      class HttpBuilderClientTransform
      extends AbstractASTTransformation

  AST transform that generates an implementation class for interfaces annotated with HttpBuilderClient.

  Since:
    6.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HttpBuilderClientTransform()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visit(ASTNode[] nodes, SourceUnit source)` Validates HttpBuilderClient usage and synthesizes the corresponding client implementation.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternal, deemedInternalName, getAnnotationName, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, markAsInternal, memberHasValue, shouldSkip, shouldSkip, shouldSkip, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Constructor Detail

    - #### HttpBuilderClientTransform()

  - ### Method Detail

    - #### @Override
      void visit(ASTNode[] nodes, SourceUnit source)

      Validates HttpBuilderClient usage and synthesizes the corresponding client implementation.

      Parameters:
        `nodes` - the annotation and annotated interface nodes
        `source` - the source unit being transformed